<?php
/**
 * Zend Frameworkを利用したRSS/Atom Reader『ZFReader』
 * Viewヘルパー リンクタグを出力する
 * 
 * @author ishinao <ishinao@ishinao.net>
 * $Id: LinkTo.php 72 2006-05-15 09:19:25Z ishinao $
 */

/**
 * リンクタグを出力するViewヘルパークラス。
 * アプリケーション内部パスをリンクURLに変換する機能も持つ。
 */
class Zend_View_Helper_LinkTo
{
	/**
	 * 
	 */
	public function linkTo($url, $title = null)
	{
		if (!isset($title)) {$title = $url;}
		if (!preg_match('/https?:/i', $url)) {
			$url = ZFReader_Controller_Router::getUrl($url); 
		}
		return '<a href="'
				. htmlspecialchars($url)
				. '">'
				. htmlspecialchars($title)
				. '</a>';
	}
}

?>
