<?php $this->render('parts/header.php'); ?>

<body>

<div id="headerArea">
	<?php $this->render('parts/headerMenu.php'); ?>
	<h1>Zend Framework Sample FeedReader</h1>
</div>

<div id="mainArea">

	<div class="box">
		<h2>機能一覧</h2>

		<ul id="mainMenu">
		<li><?php echo $this->linkTo('/read', 'フィードを読む'); ?></li>
		<li><?php echo $this->linkTo('/add', 'フィードを追加する'); ?></li>
		<li><?php echo $this->linkTo('/crawl', 'フィード情報を更新する'); ?></li>
		<li><?php echo $this->linkTo('/logout', 'ログアウト'); ?></li>
		</ul>
	</div>
	
	<div class="box">
		<h2>登録フィード一覧</h2>

		<?php if ($this->feeds->count() > 0) : ?>
		<ul id="feedList">
		<?php foreach ($this->feeds as $feed) : ?>
		<li>
			<?php echo $this->linkTo($feed->url, $feed->title); ?>
			(<?php echo $this->escape($feed->feedurl); ?>)
			[<?php echo $this->linkTo('/edit/' . $feed->id, '編集'); ?>]
			[<?php echo $this->linkTo('/remove/' . $feed->id, '削除'); ?>]
			[<?php echo $this->linkTo('/crawl/' . $feed->id, '更新'); ?>]
			<br />
			<span style="font-size: 0.8em; color: gray;">
			登録: <?php echo $this->escape($feed->created); ?> /
			最終更新: <?php echo $this->escape($feed->modified); ?> /
			情報取得: <?php echo $this->escape($feed->crawled); ?>
			</span>
		</li>
		<?php endforeach; ?>
		</ul>
		<?php else : ?>
		<p class="attention">RSS/Atomフィードは登録されていません。</p>
		<?php endif; ?>
	</div>

</div>

<?php $this->render('parts/signature.php'); ?>

</body>

<?php $this->render('parts/footer.php'); ?>
